Extending Qt Creator Manual | GeneratedFile

Extending Qt Creator Manual 4.5.2

# List of All Members for GeneratedFile

This is the complete list of members for Core::GeneratedFile, including inherited members.

- enum Attribute
- flags Attributes
- GeneratedFile()
- GeneratedFile(const QString &)
- GeneratedFile(const GeneratedFile &)
- ~GeneratedFile()
- attributes() const : Attributes
- binaryContents() const : QByteArray
- contents() const : QString
- editorId() const : Id

- isBinary() const : bool
- path() const : QString
- setAttributes(Attributes )
- setBinary(bool )
- setBinaryContents(const QByteArray &)
- setContents(const QString &)
- setEditorId(Id )
- setPath(const QString &)
- write(QString *) const : bool
- operator=(const GeneratedFile &) : GeneratedFile &